# pysu_bindings

A python package to provide you with many useful tools for osu! servers, written in C++ for the best speeds possible.

## What?

As most people know, Python is considerably slower in it's operations compared to other languages, and some things are time critical. We have the ability to run C++ code in Python with the use of libraries such as pybind11 (what this project uses) to utilise C++'s speed at a cost of well- writing bindings. This package is a ready to use module for some common features required in osu! servers (that are typically too slow) in Python with C++ speed.

## Compiling

As this will be uploaded on PyPI, you shouldn't need to compile it. However if you do, you just simply run `python3.9 setup.py sdist bdist_wheel`, and install the .whl file it generates in the dist folder.

## Usage

Currently there's no documentation on usage, but in the respective sub folders of each module there will soon be examples (and also test files for speed comparisons).

## Testing

Soon.